#ifndef _KGR_PATCH_BSC1122233_H
#define _KGR_PATCH_BSC1122233_H

#if IS_ENABLED(CONFIG_HP_WATCHDOG)

int kgr_patch_bsc1122233_init(void);
void kgr_patch_bsc1122233_cleanup(void);


struct watchdog_device;

int kgr_hpwdt_ping(struct watchdog_device *wdd);

int kgr_hpwdt_settimeout(struct watchdog_device *wdd, unsigned int val);

#define KGR_PATCH_BSC1122233_FUNCS				\
	KGR_PATCH_OBJ(hpwdt_ping, kgr_hpwdt_ping, "hpwdt"),	\
	KGR_PATCH_OBJ(hpwdt_settimeout, kgr_hpwdt_settimeout,	\
			"hpwdt"),				\


#else /* !IS_ENABLED(CONFIG_HP_WATCHDOG) */

static inline int kgr_patch_bsc1122233_init(void) { return 0; }

static inline void kgr_patch_bsc1122233_cleanup(void) {}

#define KGR_PATCH_BSC1122233_FUNCS

#endif /* IS_ENABLED(CONFIG_HP_WATCHDOG) */
#endif /* _KGR_PATCH_BSC1122233_H */
